{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>tasks:read</code>\n\nReturns the full record for a user's task list.","properties":{"path":{"type":"object","properties":{"user_gid":{"type":"string","examples":["me"],"description":"A string identifying a user. This can either be the string \"me\", an email, or the gid of a user."}},"required":["user_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"workspace":{"type":"string","examples":["1234"],"description":"The workspace in which to get the user task list."},"opt_fields":{"type":"array","items":{"type":"string","enum":["name","owner","workspace"]},"examples":[["name","owner","workspace"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":["workspace"],"additionalProperties":false}},"required":["path","query"],"additionalProperties":false},"name":"Get a user's task list","id":"asana.getusertasklistforuser","example":{"path":{"user_gid":"me"},"query":{"workspace":"1234"}},"maxRequests":1,"summary":false}}